Subject: bug#61132: closed (Re: bug#61132: xfce 4.18 issues: gsettings, icons missing, and logout need long time)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 01 Aug 2023 11:58:02 +0000

Your bug report

#61132: xfce 4.18 issues: gsettings, icons missing, and logout need long time

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
61132: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=61132
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#61132: xfce 4.18 issues: gsettings, icons missing, and logout need long time
From: 宋文武 <[email-masked]>
To: Feng Shu <[email-masked]>
Cc: [email-masked]
Date: Tue, 01 Aug 2023 19:57:47 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

> 宋文武 <[email-masked]> writes:
>
>> During my tests, I find some issues though:
>>
>> 1. in xfce4-appearance-settings, switch the theme to greybird-dark will
>> kill it, with output:
>>
>> ```
>> (xfce4-appearance-settings:13788): Gtk-WARNING **: 10:53:21.078:
>> Could not load a pixbuf from
>> /org/gtk/libgtk/theme/Adwaita/assets/check-symbolic.svg.
>> This may indicate that pixbuf loaders or the mime database could not be found.
>>
>> (xfce4-appearance-settings:13788): GLib-GIO-ERROR **: 10:53:23.264:
>> Settings schema 'org.gnome.desktop.interface' does not contain a key
>> named 'color-scheme'
>> ```
>>
>> I think this is due to our gsettings-desktop-schemas is old.
>>
>> 2. some icons are missing, and by default there is no pixbuf loader for
>> svg.  With a manually set GDK_PIXBUF_MODULE_FILE, I get better result
>> with elementary-xfce-icon-theme (the adwaita icon themes still missing
>> some icons).
>>
>> 3. logout via xfce4-session-logout will wait more about 30s for me,
>> sometimes it does logout immediately, no idea...
>>
>> 4. mousepad output:
>> Mousepad-Message: 11:00:34.614: Plugin directory
>> '/gnu/store/0m4rqqn3gxwg6mafhccqjwwvqdz1a5sr-mousepad-0.5.10/lib/mousepad/plugins'
>> not found
>> GLib-GIO-Message: 11:00:34.614: Using the 'memory' GSettings
>> backend.  Your settings will not be saved or shared with other
>> applications.
>>
>> The default gsettings backend is dconf, I guess some applications like
>> mousepad need fix to enable dconf or use the keyfile backend for
>> gsettings...
>>
>> I now open a bug for thoes issues.
>>
>
> 5. Thunar start slowly
>
> When I update to xfce 4.18, thunar start need 5 second, when I
>
> 1. backup my xfce4 config.
> 2. rm my old xfce4 config.
> 3. run xfce4 and quit.
> 4. restore old xfce4 config.
> 5. run xfce4 again.
>
> The problem dispear, I do not know why.

Except gsettings for mousepad, which i now set
`GSETTINGS_BACKEND=keyfile` myself, the issues seems all fixed now.
Closing..

Subject: xfce 4.18 issues: gsettings, icons missing, and logout need long time
From: 宋文武 <[email-masked]>
To: Feng Shu <[email-masked]>
Cc: [email-masked], Michael Rohleder <[email-masked]>, [email-masked]
Date: Sun, 29 Jan 2023 11:08:33 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

> [...]
>
> Hello Feng Shu and Michael Rohleder, I have create a wip-xfce branch and
> applied all patches: They're all LGTM, and I will merge it after some
> tests later.  Thank you!
>

Pushed!

During my tests, I find some issues though:

1. in xfce4-appearance-settings, switch the theme to greybird-dark will
kill it, with output:
```
(xfce4-appearance-settings:13788): Gtk-WARNING **: 10:53:21.078: Could not load a pixbuf from /org/gtk/libgtk/theme/Adwaita/assets/check-symbolic.svg.
This may indicate that pixbuf loaders or the mime database could not be found.

(xfce4-appearance-settings:13788): GLib-GIO-ERROR **: 10:53:23.264: Settings schema 'org.gnome.desktop.interface' does not contain a key named 'color-scheme'
```
I think this is due to our gsettings-desktop-schemas is old.

2. some icons are missing, and by default there is no pixbuf loader for
svg.  With a manually set GDK_PIXBUF_MODULE_FILE, I get better result
with elementary-xfce-icon-theme (the adwaita icon themes still missing
some icons).

3. logout via xfce4-session-logout will wait more about 30s for me,
sometimes it does logout immediately, no idea...

4. mousepad output:
Mousepad-Message: 11:00:34.614: Plugin directory '/gnu/store/0m4rqqn3gxwg6mafhccqjwwvqdz1a5sr-mousepad-0.5.10/lib/mousepad/plugins' not found
GLib-GIO-Message: 11:00:34.614: Using the 'memory' GSettings backend.  Your settings will not be saved or shared with other applications.

The default gsettings backend is dconf, I guess some applications like
mousepad need fix to enable dconf or use the keyfile backend for
gsettings...

I now open a bug for thoes issues.